=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2011-07-07 13:57:49 +0000
+++ drizzled/item.cc	2011-08-08 16:24:13 +0000
@@ -1003,19 +1003,15 @@
   return (Item**) not_found_item;
 }
 
-void Item::init_make_field(SendField *tmp_field,
-                           enum enum_field_types field_type_arg)
+void Item::init_make_field(SendField *tmp_field, enum_field_types field_type_arg)
 {
-  char *empty_name= (char*) "";
-  tmp_field->db_name=	empty_name;
-  tmp_field->org_table_name= empty_name;
-  tmp_field->org_col_name= empty_name;
-  tmp_field->table_name= empty_name;
+  tmp_field->db_name=	"";
+  tmp_field->org_table_name= "";
+  tmp_field->org_col_name= "";
+  tmp_field->table_name= "";
   tmp_field->col_name= name;
   tmp_field->charsetnr= collation.collation->number;
-  tmp_field->flags= (maybe_null ? 0 : NOT_NULL_FLAG) |
-                    (my_binary_compare(collation.collation) ?
-                      BINARY_FLAG : 0);
+  tmp_field->flags= (maybe_null ? 0 : NOT_NULL_FLAG) | (my_binary_compare(collation.collation) ? BINARY_FLAG : 0);
   tmp_field->type= field_type_arg;
   tmp_field->length= max_length;
   tmp_field->decimals= decimals;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-08-08 15:51:23 +0000
+++ drizzled/session.cc	2011-08-08 16:24:13 +0000
@@ -1316,7 +1316,6 @@
   char buff[MAX_FIELD_WIDTH];
   String tmp(buff,sizeof(buff),&my_charset_bin),*res;
   tmp.length(0);
-  Item *item;
 
   if (unit->offset_limit_cnt)
   {						// using limit offset,count
@@ -1328,7 +1327,7 @@
     my_message(ER_TOO_MANY_ROWS, ER(ER_TOO_MANY_ROWS), MYF(0));
     return 1;
   }
-  while ((item=li++))
+  while (Item* item=li++)
   {
     res=item->str_result(&tmp);
     if (!res)					// If NULL

